### Hierarchy

- EmbeddedCLUE

## Index

### Constructors

- constructor

### Properties

- ready

### Methods

- jumpToState
- nextSlide
- previousSlide
- send
- showSlide

## Constructors

### constructor

- new EmbeddedCLUE(parent: HTMLElement, url: string, readyCallback: function): EmbeddedCLUE

- - Defined in embed.ts:20

  #### Parameters

  - ##### parent: HTMLElement

  - ##### url: string

  - ##### readyCallback: function

    - - (c: EmbeddedCLUE): void

      - #### Parameters

        - ##### c: EmbeddedCLUE

        #### Returns void

  #### Returns EmbeddedCLUE

## Properties

### ready

ready: boolean = false

- Defined in embed.ts:20

## Methods

### jumpToState

- jumpToState(state: number): any

- - Defined in embed.ts:55

  #### Parameters

  - ##### state: number

  #### Returns any

### nextSlide

- nextSlide(): any

- - Defined in embed.ts:59

  #### Returns any

### previousSlide

- previousSlide(): any

- - Defined in embed.ts:63

  #### Returns any

### send

- send(type: string, msg: any): any

- - Defined in embed.ts:37

  #### Parameters

  - ##### type: string

  - ##### msg: any

  #### Returns any

### showSlide

- showSlide(slide: number): any

- - Defined in embed.ts:51

  #### Parameters

  - ##### slide: number

  #### Returns any

Generated using TypeDoc